<?php
/**
 * sample code for GiroCheckout integration of getting a reference for a
 * GiroCode Epc transaction
 *
 * @filesource
 * @package Samples
 * @version $Revision: 73 $ / $Date: 2014-10-01 17:40:24 +0200 (Mi, 01 Okt 2014) $
 */
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 350000;
$projectID = 7271;
$projectPassword = "qYzxbXHcFC58";


/* get a reference for a GiroCode Payment transaction */
try {
	$request = new GiroCheckout_SDK_Request('giroCodeCreateEpc');
	$request->setSecret($projectPassword);
	$request->addParam('merchantId',$merchantID)
	        ->addParam('projectId',$projectID)
	    //amount and currency or none
	        ->addParam('amount',100)
	        ->addParam('currency','EUR')
	    //purposetext or payment reference
	        ->addParam('purposetext','GiroCode transaction')
//	        ->addParam('paymentreference','')
	        ->addParam('purposecode','')
	        ->addParam('infotext','')
	    //receivername, receiveriban and receiverbic or none
	        ->addParam('receivername','John Doe')
	        ->addParam('receiveriban','DE12345678901234567890')
	        ->addParam('receiverbic','TESTDE12345')
	        ->addParam('format', 'epc-qr')
	        ->addParam('resolution', '500')
	    //the hash field is auto generated by the SDK
	        ->submit();
	
	/* if transaction succeeded  */
	if($request->requestHasSucceeded())
	{
	    $request->getResponseParam('rc');
	    $request->getResponseParam('msg');
	    $request->getResponseParam('girocodereference');
	    $img = base64_decode($request->getResponseParam('image'));
	   // $img = imagecreatefromstring($img);
	   // header('Content-Type: image/png');
	   // imagepng($img);
	   // imagedestroy($img);
	}

	/* if the transaction did not succeed update your local system, get the responsecode and notify the customer */
	else {
		print_r($request->getResponseParams());
	    $request->getResponseParam('rc');
	    $request->getResponseParam('msg');
	    $request->getResponseMessage($request->getResponseParam('rc'),'DE');
	}
}
catch (Exception $e) { echo $e->getMessage(); }