<?php
/**
 * sample code for GiroCheckout integration of a giropay transaction
 *
 * @filesource
 * @package Samples
 * @version $Revision: 109 $ / $Date: 2015-06-01 08:37:30 -0300 (Mo, 01 Jun 2015) $
 */
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 350000;
$projectID = 16;
$projectPassword = "fderw5432";


/* init giropay transaction and parameters */
try {
	$request = new GiroCheckout_SDK_Request('giropayTransaction');
	$request->setSecret($projectPassword);
	$request->addParam('merchantId',$merchantID)
	        ->addParam('projectId',$projectID)
	        ->addParam('merchantTxId',"1234567890")
	        ->addParam('amount',100)
	        ->addParam('currency','EUR')
	        ->addParam('purpose','Beispieltransaktion')
	        ->addParam('bic','TESTDETT421')
	        ->addParam('info1Label','Ihre Kundennummer')
	        ->addParam('info1Text','0815')
	        ->addParam('urlRedirect','http://mydomain.de/examples/redirect.php')
	        ->addParam('urlNotify','http://mydomain.de/examples/notify_log.php')

	        //the hash field is auto generated by the SDK
	        ->submit();
	
	/* if transaction succeeded update your local system an redirect the customer */
	if($request->requestHasSucceeded())
	{
	    $request->getResponseParam('rc');
	    $request->getResponseParam('msg');
	    $request->getResponseParam('reference');
	    $request->getResponseParam('redirect');
	
	    $request->redirectCustomerToPaymentProvider();
	}
	
	/* if the transaction did not succeed update your local system, get the responsecode and notify the customer */
	else {
	    $request->getResponseParam('rc');
	    $request->getResponseParam('msg');
	    $request->getResponseMessage($request->getResponseParam('rc'),'DE');
	}
}
catch (Exception $e) { echo $e->getMessage(); }