<?php
/**
 * Sample code for GiroCheckout integration of a giropay + giropay-ID transaction
 *
 * The provided Notify and Redirect files (GiropayWithGiropayID_Notify.php and GiropayWithGiropayID_Redirect.php)
 * may be used for testing this script, if you have a valid URL for testing.  In that case, call this script
 * from your browser:
 * 
 * http://my.real.url/GiropayTransactionWithGiropayID.php
 * 
 * It will redirect to Giropay immediately and after the payment redirect back to the redirect page.
 * You may see the notify output on the error log.
 * 
 * @filesource
 * @package Samples
 * @version $Revision: 149 $ / $Date: 2016-05-13 13:21:51 -0300 (Fr, 13 Mai 2016) $
 */

apache_setenv( "GIROCHECKOUT_SERVER", "https://dev.girosolution.de" );
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 350000;
$projectID = 7264;
$projectPassword = "LbiII3ASvAS3lNY5xS98";

/* init giropay transaction an parameters */
try {
	$request = new GiroCheckout_SDK_Request('giropayTransaction');
	$request->setSecret($projectPassword);
	$request->addParam('merchantId',$merchantID)
	        ->addParam('projectId',$projectID)
	        ->addParam('merchantTxId',1234567890)
	        ->addParam('amount',100)
	        ->addParam('currency','EUR')
	        ->addParam('purpose','giropay+giropay-ID Zahlung')
	        ->addParam('bic','TESTDETT421')
	        ->addParam('urlRedirect','https://dev.girosolution.de/redirect.php')
	        ->addParam('urlNotify','https://dev.girosolution.de/notify.php')
	    //the hash field is auto generated by the SDK
	        ->submit();

  // print_r( $request );
  
	/* if transaction succeeded update your local system an redirect the customer */
	if($request->requestHasSucceeded()) {
	   $request->getResponseParam('reference');
	   $request->getResponseParam('redirect');
	
	   $request->redirectCustomerToPaymentProvider();
	}
	
	/* if the transaction did not succeed update your local system, get the responsecode and notify the customer */
	else {
	   $request->getResponseParam('rc');
	   $request->getResponseParam('msg');
	   $request->getResponseMessage($request->getResponseParam('rc'),'DE');
	}
}
catch (Exception $e) { echo $e->getMessage(); }